from abc import ABC, abstractmethod

from cpl_query.extension import List

from gismo_data.model.user import User


class UserRepositoryABC(ABC):

    @abstractmethod
    def __init__(self): pass
    
    @abstractmethod
    def get_users(self) -> List[User]: pass
    
    @abstractmethod
    def get_user_by_id(self, id: int) -> User: pass
    
    @abstractmethod
    def get_user_by_discord_id(self, discord_id: int) -> User: pass
